diff --git a/Makefile.am b/Makefile.am
index 60343f8..115c699 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/align/Makefile.am b/align/Makefile.am
index 5692fd4..1dc9221 100644
--- a/align/Makefile.am
+++ b/align/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/align/scan.c b/align/scan.c
index a409654..529add5 100644
--- a/align/scan.c
+++ b/align/scan.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/align/virt-alignment-scan.pod b/align/virt-alignment-scan.pod
index 601c5e8..5eb9312 100755
--- a/align/virt-alignment-scan.pod
+++ b/align/virt-alignment-scan.pod
@@ -378,4 +378,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/appliance/Makefile.am b/appliance/Makefile.am
index bec2b48..e2e8b96 100644
--- a/appliance/Makefile.am
+++ b/appliance/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/appliance/make.sh.in b/appliance/make.sh.in
index cb243b5..e856c3f 100755
--- a/appliance/make.sh.in
+++ b/appliance/make.sh.in
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 unset CDPATH
 
diff --git a/autogen.sh b/autogen.sh
index 0c74fae..794d25c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 #
 # Rebuild the autotools environment.
 
diff --git a/bugs-in-changelog.sh b/bugs-in-changelog.sh
index 9173fa4..84efc51 100755
--- a/bugs-in-changelog.sh
+++ b/bugs-in-changelog.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Used when preparing the RELEASE-NOTES file.  This script looks at
 # the bugs noted in the git changelog since the last stable release
diff --git a/capitests/Makefile.am b/capitests/Makefile.am
index 64fc0a1..cb9188e 100644
--- a/capitests/Makefile.am
+++ b/capitests/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/cat/Makefile.am b/cat/Makefile.am
index 91abfac..3180b26 100644
--- a/cat/Makefile.am
+++ b/cat/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/cat/virt-cat.c b/cat/virt-cat.c
index 268ca56..4d37dda 100644
--- a/cat/virt-cat.c
+++ b/cat/virt-cat.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/cat/virt-cat.pod b/cat/virt-cat.pod
index a4b54b8..d125e6f 100755
--- a/cat/virt-cat.pod
+++ b/cat/virt-cat.pod
@@ -269,4 +269,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/cat/virt-filesystems.c b/cat/virt-filesystems.c
index 6e160a2..de7a243 100644
--- a/cat/virt-filesystems.c
+++ b/cat/virt-filesystems.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/cat/virt-filesystems.pod b/cat/virt-filesystems.pod
index 5112395..e5ba483 100755
--- a/cat/virt-filesystems.pod
+++ b/cat/virt-filesystems.pod
@@ -413,4 +413,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/cat/virt-ls.c b/cat/virt-ls.c
index 97f0c55..b29af27 100644
--- a/cat/virt-ls.c
+++ b/cat/virt-ls.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/cat/virt-ls.pod b/cat/virt-ls.pod
index 645a9c0..cd1166b 100755
--- a/cat/virt-ls.pod
+++ b/cat/virt-ls.pod
@@ -524,4 +524,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/caution/Makefile.am b/caution/Makefile.am
index 5b31d80..fb95a74 100644
--- a/caution/Makefile.am
+++ b/caution/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Safety and liveness tests of components that libguestfs depends upon
 # (not of libguestfs itself).  Mainly this is for qemu and the kernel.
diff --git a/caution/qemu-snapshot-isolation.sh b/caution/qemu-snapshot-isolation.sh
index ae22611..384706c 100755
--- a/caution/qemu-snapshot-isolation.sh
+++ b/caution/qemu-snapshot-isolation.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test that qemu snapshots are really isolating writes from the
 # underlying disk image.  If this test were to fail, you could expect
diff --git a/clone/Makefile.am b/clone/Makefile.am
index 20e1d52..11a2e9b 100644
--- a/clone/Makefile.am
+++ b/clone/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/clone/test-virt-sysprep.sh b/clone/test-virt-sysprep.sh
index 097f416..1ebbde7 100755
--- a/clone/test-virt-sysprep.sh
+++ b/clone/test-virt-sysprep.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 export LANG=C
 set -e
diff --git a/clone/virt-sysprep.in b/clone/virt-sysprep.in
index 9150872..9e8f212 100644
--- a/clone/virt-sysprep.in
+++ b/clone/virt-sysprep.in
@@ -15,7 +15,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 unset CDPATH
 program="virt-sysprep"
diff --git a/clone/virt-sysprep.pod b/clone/virt-sysprep.pod
index eb56801..5cab3eb 100755
--- a/clone/virt-sysprep.pod
+++ b/clone/virt-sysprep.pod
@@ -518,4 +518,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/configure.ac b/configure.ac
index 0f09c3d..d549108 100644
--- a/configure.ac
+++ b/configure.ac
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # The major, minor, and release fields MUST be numbers.  Packagers can
 # add extra information using --with-extra="..." which may be any
diff --git a/contrib/autobuild/autobuild.sh b/contrib/autobuild/autobuild.sh
index c7b0fed..69956f8 100755
--- a/contrib/autobuild/autobuild.sh
+++ b/contrib/autobuild/autobuild.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # This script is used to download and test the latest tarball on
 # Debian and other platforms.  It runs from a cron job and sends email
diff --git a/contrib/guestfsd-in-wine.sh b/contrib/guestfsd-in-wine.sh
index bc9d87b..8cfd3c1 100755
--- a/contrib/guestfsd-in-wine.sh
+++ b/contrib/guestfsd-in-wine.sh
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # INSTRUCTIONS
 #----------------------------------------------------------------------
diff --git a/contrib/visualize-alignment/tracetops.ml b/contrib/visualize-alignment/tracetops.ml
index 3ea2327..6b8e424 100755
--- a/contrib/visualize-alignment/tracetops.ml
+++ b/contrib/visualize-alignment/tracetops.ml
@@ -16,7 +16,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 (* Note that we use ordinary OCaml ints, which means this program is
diff --git a/csharp/Makefile.am b/csharp/Makefile.am
index 5846435..5bd423b 100644
--- a/csharp/Makefile.am
+++ b/csharp/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/daemon/9p.c b/daemon/9p.c
index 550516e..3ab1044 100644
--- a/daemon/9p.c
+++ b/daemon/9p.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/Makefile.am b/daemon/Makefile.am
index f8e0ecb..7757067 100644
--- a/daemon/Makefile.am
+++ b/daemon/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/daemon/augeas.c b/daemon/augeas.c
index a9ad91f..03cba42 100644
--- a/daemon/augeas.c
+++ b/daemon/augeas.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/available.c b/daemon/available.c
index 17ce1b1..6d2aea2 100644
--- a/daemon/available.c
+++ b/daemon/available.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/base64.c b/daemon/base64.c
index 8aca5b7..215812a 100644
--- a/daemon/base64.c
+++ b/daemon/base64.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/blkid.c b/daemon/blkid.c
index 7935ac3..6d395c1 100644
--- a/daemon/blkid.c
+++ b/daemon/blkid.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/blockdev.c b/daemon/blockdev.c
index 1afb4b8..d056abe 100644
--- a/daemon/blockdev.c
+++ b/daemon/blockdev.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/btrfs.c b/daemon/btrfs.c
index 619ab50..755f47e 100644
--- a/daemon/btrfs.c
+++ b/daemon/btrfs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/checksum.c b/daemon/checksum.c
index 0bd9623..ca5abe7 100644
--- a/daemon/checksum.c
+++ b/daemon/checksum.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/cmp.c b/daemon/cmp.c
index bbf9c74..0673403 100644
--- a/daemon/cmp.c
+++ b/daemon/cmp.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/command.c b/daemon/command.c
index ef23695..7c67d83 100644
--- a/daemon/command.c
+++ b/daemon/command.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/compress.c b/daemon/compress.c
index d08d3cc..b9967d9 100644
--- a/daemon/compress.c
+++ b/daemon/compress.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/copy.c b/daemon/copy.c
index 1d515f8..4bfbfa9 100644
--- a/daemon/copy.c
+++ b/daemon/copy.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/cpmv.c b/daemon/cpmv.c
index e5457d6..b51ed41 100644
--- a/daemon/cpmv.c
+++ b/daemon/cpmv.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/dd.c b/daemon/dd.c
index f08eb36..a98f7ae 100644
--- a/daemon/dd.c
+++ b/daemon/dd.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/debug.c b/daemon/debug.c
index 6b9d756..bb91c9e 100644
--- a/daemon/debug.c
+++ b/daemon/debug.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/devsparts.c b/daemon/devsparts.c
index 79da41b..440739f 100644
--- a/daemon/devsparts.c
+++ b/daemon/devsparts.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/df.c b/daemon/df.c
index 7127c00..14954d2 100644
--- a/daemon/df.c
+++ b/daemon/df.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/dir.c b/daemon/dir.c
index 383acd2..3b18d48 100644
--- a/daemon/dir.c
+++ b/daemon/dir.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/dmesg.c b/daemon/dmesg.c
index 462787a..5e98a18 100644
--- a/daemon/dmesg.c
+++ b/daemon/dmesg.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/dropcaches.c b/daemon/dropcaches.c
index 46bfd07..0da882c 100644
--- a/daemon/dropcaches.c
+++ b/daemon/dropcaches.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/du.c b/daemon/du.c
index 1c44b3b..efff208 100644
--- a/daemon/du.c
+++ b/daemon/du.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/echo_daemon.c b/daemon/echo_daemon.c
index 658974b..18e2cf8 100644
--- a/daemon/echo_daemon.c
+++ b/daemon/echo_daemon.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/ext2.c b/daemon/ext2.c
index 01a4628..f7889da 100644
--- a/daemon/ext2.c
+++ b/daemon/ext2.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/fallocate.c b/daemon/fallocate.c
index 0c948ff..bc744f5 100644
--- a/daemon/fallocate.c
+++ b/daemon/fallocate.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/file.c b/daemon/file.c
index 691f917..0f27b68 100644
--- a/daemon/file.c
+++ b/daemon/file.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/fill.c b/daemon/fill.c
index d78e6ee..9ea00ab 100644
--- a/daemon/fill.c
+++ b/daemon/fill.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/find.c b/daemon/find.c
index 61d4a5f..c509720 100644
--- a/daemon/find.c
+++ b/daemon/find.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/findfs.c b/daemon/findfs.c
index 061ab0a..2c624b6 100644
--- a/daemon/findfs.c
+++ b/daemon/findfs.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/fsck.c b/daemon/fsck.c
index 7a36440..7e835a7 100644
--- a/daemon/fsck.c
+++ b/daemon/fsck.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/glob.c b/daemon/glob.c
index f2815ec..ad8aa54 100644
--- a/daemon/glob.c
+++ b/daemon/glob.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/grep.c b/daemon/grep.c
index 09683ef..3562f36 100644
--- a/daemon/grep.c
+++ b/daemon/grep.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/grub.c b/daemon/grub.c
index c61f9df..0617036 100644
--- a/daemon/grub.c
+++ b/daemon/grub.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/guestfsd.c b/daemon/guestfsd.c
index 6373f34..eacbc1d 100644
--- a/daemon/guestfsd.c
+++ b/daemon/guestfsd.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/headtail.c b/daemon/headtail.c
index 528cc09..83f3f5c 100644
--- a/daemon/headtail.c
+++ b/daemon/headtail.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/hexdump.c b/daemon/hexdump.c
index 202f856..3698613 100644
--- a/daemon/hexdump.c
+++ b/daemon/hexdump.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/initrd.c b/daemon/initrd.c
index 3c960b2..7c4d03f 100644
--- a/daemon/initrd.c
+++ b/daemon/initrd.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/inotify.c b/daemon/inotify.c
index 27fe4b0..3fc7b92 100644
--- a/daemon/inotify.c
+++ b/daemon/inotify.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/is.c b/daemon/is.c
index 6f35489..f892ccf 100644
--- a/daemon/is.c
+++ b/daemon/is.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/link.c b/daemon/link.c
index 1049640..b27e72c 100644
--- a/daemon/link.c
+++ b/daemon/link.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/daemon/ls.c b/daemon/ls.c
index 0af2356..d0c7b52 100644
--- a/daemon/ls.c
+++ b/daemon/ls.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
